Viviot.Api

<back to all web services

InsertSupportRequest

SupportRequests
Requires Authentication
Requires the role:TenantAdmin
The following routes are available for this service:
POST/supportrequestFiles a new Support Request.
InsertSupportRequest Parameters:
NameParameterData TypeRequiredDescription
TitlebodystringYesThe Support Request title.
DescriptionbodystringYesThe Support Request description.
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
VersionformintegerNoApi version
SupportRequestResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<SupportRequestView>No
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo
SupportRequestView Parameters:
NameParameterData TypeRequiredDescription
IdformGuidNo
OrganizationIdformGuidNo
TitleformstringNo
DescriptionformstringNo
StatusformSupportRequestStatusNo
AzureDevOpsWorkItemIdformint?No
ResolutionSummaryformstringNo
CreatedByBusinessUserIdformintNo
CreatedAtformDateTimeNo
SupportRequestStatus Enum:
NameValue
New10
Approved20
Committed30
Done40
Removed50

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /supportrequest HTTP/1.1 
Host: api.4spaces.io 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"title":"String","description":"String","version":0}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":[{"id":"00000000000000000000000000000000","organizationId":"00000000000000000000000000000000","title":"String","description":"String","status":10,"azureDevOpsWorkItemId":0,"resolutionSummary":"String","createdByBusinessUserId":0}],"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}